Imports System.Windows.Forms

Public Class ItemDetail


    Private _ButtonID As String
    Public ReadOnly Property ButtonID() As String
        Get
            Return _ButtonID
        End Get
    End Property

    Private _DisplayName As String
    Public ReadOnly Property DisplayName() As String
        Get
            Return _DisplayName
        End Get
    End Property

    Private _Path As String
    Public ReadOnly Property Path() As String
        Get
            Return _Path
        End Get
    End Property


    Private Sub New()
        ' This call is required by the Windows Form Designer.
        InitializeComponent()
        ' Add any initialization after the InitializeComponent() call.
    End Sub
    Friend Sub New(ByVal ButtonID As String, ByVal DisplayName As String, ByVal Path As String)
        InitializeComponent()
        _DisplayName = DisplayName
        _Path = Path
        _ButtonID = ButtonID
        txtDisplay.Text = _DisplayName
        txtPath.Text = _Path
    End Sub

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        _DisplayName = txtDisplay.Text
        _Path = txtPath.Text

        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub btnBrowse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrowse.Click
        Dim oRes As DialogResult = OpenFileDialog1.ShowDialog(Me)
        If oRes = Windows.Forms.DialogResult.OK OrElse oRes = Windows.Forms.DialogResult.Yes Then
            txtPath.Text = OpenFileDialog1.FileName
        End If
    End Sub
End Class
